posix_getgrnam
posix_getlogin
POSIX Functions
PHP Manual

# posix_getgroups

(PHP 4, PHP 5)

posix_getgroups — Return the group set of the current process

### Description

array posix_getgroups ( void )

Gets the group set of the current process.

### Return Values

Returns an array of integers containing the numeric group ids of the group set of the current process.

### Examples

Example #1 Example use of posix_getgroups()

`<?php
$groups = posix_getgroups();
print_r($groups);
?>`

The above example will output something similar to:

    Array
    (
        [0] => 4
        [1] => 20
        [2] => 24
        [3] => 25
        [4] => 29
        [5] => 30
        [6] => 33
        [7] => 44
        [8] => 46
        [9] => 104
        [10] => 109
        [11] => 110
        [12] => 1000
    )

### See Also

- posix_getgrgid() - Return info about a group by group id

posix_getgrnam
posix_getlogin
POSIX Functions
PHP Manual